Bug 2207600

Summary: do not install both .ttf and .otf files
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: aajohan-comfortaa-fontsAssignee: Luya Tshimbalanga <luya_tfz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 38CC: admiller, fonts-bugs, luya_tfz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: aajohan-comfortaa-fonts-3.101-9.fc39 aajohan-comfortaa-fonts-3.101-9.fc38 aajohan-comfortaa-fonts-3.101-9.fc37 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-16 23:33:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Jens Petersen 2023-05-16 10:36:06 UTC
I don't think aajohan-comfortaa-fonts should install both
Comfortaa-*.otf and Comfortaa-*.ttf -
they are basically duplicates of the same font in OpenType and TrueType formats.
Nearly all applications should work fine with OpenType these days.
The .ttf files could be separated into aajohan-comfortaa-ttf-fonts
and not installed by default.


Reproducible: Always

Steps to Reproduce:
1. rpm -ql aajohan-comfortaa-fonts
2. check fonts in fonts-viewer
Actual Results:  
1. Both .otf and .ttf files installed
2. Comfortaa fonts are double listed

Expected Results:  
1. Only .otf or .ttf files installed by default
2. No duplicate listing

Comment 1 Fedora Update System 2023-05-16 23:29:56 UTC
FEDORA-2023-3da778b8ca has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3da778b8ca

Comment 2 Fedora Update System 2023-05-16 23:33:05 UTC
FEDORA-2023-3da778b8ca has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-05-17 00:18:51 UTC
FEDORA-2023-623152502f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-623152502f

Comment 4 Fedora Update System 2023-05-17 00:18:51 UTC
FEDORA-2023-486a339071 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-486a339071

Comment 5 Fedora Update System 2023-05-18 02:06:22 UTC
FEDORA-2023-623152502f has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-623152502f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-623152502f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-05-18 04:39:24 UTC
FEDORA-2023-486a339071 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-486a339071`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-486a339071

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-05-19 01:16:26 UTC
FEDORA-2023-623152502f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-05-26 01:30:41 UTC
FEDORA-2023-486a339071 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.